import { httpGetInterceptor } from "../http-config/http-interceptor-service";

export async function getHeroData() {
  return await httpGetInterceptor(`media/public/list?enablePage=1&sort=desc&sortBy=createdAt&size=5&page=0&typeId=1&title=&categoryId=&fileFormats=&tags=&group=&startDate=&endDate=&month=&year=`);
}

export async function getCategoryData() {
  return await httpGetInterceptor(`media/categories/list/publish?enablePage=1&sort=desc&sortBy=updatedAt&size=12&type=`);
}

export async function getListContent(data: { sortBy: string; contentTypeId: string }) {
  return await httpGetInterceptor(`media/public/list?enablePage=1&sort=desc&sortBy=${data.sortBy}&size=5&page=0&typeId=${data.contentTypeId}&title=&categoryId=&fileFormats=&tags=&group=&startDate=&endDate=&month=&year=`);
}

export async function getPrivacy() {
  return await httpGetInterceptor(`general/privacy-policy/1`);
}
